<p align="center">
<img src="https://github.com/ludouzi/fooyin/assets/45490980/a6c6923a-5de3-4d29-a6e9-f73ebd5181ac" width="40%" alt="fooyin logo">
</p>

<hr />

<p align="center" style="font-size: 18px;">
<a href="https://github.com/ludouzi/fooyin/actions/workflows/build.yml"><img src="https://github.com/ludouzi/fooyin/actions/workflows/build.yml/badge.svg" alt="Build status"></a>
<a href="https://app.codacy.com/gh/ludouzi/fooyin/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade"><img src="https://app.codacy.com/project/badge/Grade/ae0c3e9825d849b0b64697e59e4dfea6" alt="Code quality"></a>
<a href="https://hosted.weblate.org/engage/fooyin/"><img src="https://hosted.weblate.org/widget/fooyin/svg-badge.svg" alt="Translation status" /></a>
<a href="https://repology.org/project/fooyin/versions"><img src="https://repology.org/badge/tiny-repos/fooyin.svg" alt="Packaging status"></a>
</p>

<hr />

## A customisable music player

fooyin is a music player built around customisation. It provides a variety of widgets to help you manage and play your local collection.

It's highly extensible with a plugin system and includes _FooScript_,
a scripting language for advanced configuration of widgets.
A layout editing mode enables the entire user interface to be customised, starting from a blank slate or a preset layout.

Only Linux is supported at present, though support for other platforms is coming soon.

| ![Simple](https://github.com/user-attachments/assets/8e8732a7-a7e5-4542-87b4-7d0a7b5e8fa0)     | ![Browser](https://github.com/user-attachments/assets/d9f4ed62-e50a-419c-aa26-8801a76a6597) |
|----------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------|
| ![Obsidian](https://github.com/user-attachments/assets/7dcc92be-04ea-402f-9cbb-a92ee855b893) | ![Wave](https://github.com/user-attachments/assets/de5b4b3a-cd9d-4520-a975-e268e472e0f9)     |

## Features

* [x] Playback of FLAC, MP3, MP4, Vorbis, Opus, WavPack, WAV, AIFF, Musepack, Monkey's Audio
* [x] Playback of popular VGM and tracker module formats
* [x] Gapless playback
* [x] Add and play files from within archives
* [x] Audio output and device configuration
* [x] CUE sheet support (including embedded)
* [x] Fully customisable layout, starting from a blank window
* [x] Customisable keyboard shortcuts
* [x] Filter library on any field(s)
* [x] Create and manage playlists
* [x] Import/export playlists (M3U/M3U8)
* [x] Extensible using a plugin system
* [x] Tag editing
* [x] Library tree, including directory structure view
* [x] Directory browser
* [x] Waveform seekbar
* [x] MPRIS support
* [x] ReplayGain support
* [x] Scrobbling

### Roadmap

See [ROADMAP.md](ROADMAP.md) to learn about fooyin's planned features.

## Building from source

See [BUILD.md](BUILD.md) for details.

## Translations

You can contribute to translations on [Hosted Weblate](https://hosted.weblate.org/projects/fooyin/),
an open source and web-based translation platform.
